netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
macip.h File Reference

Go to the source code of this file.

## Functions
int | macip_open (char *zone, uint32_t net, uint32_t mask, uint32_t ns, outputfunc_t o)
void | macip_close (void)
void | macip_idle (void)
void | macip_output (char *buffer, int len)
void | macip_input (void)

## Function Documentation

## ◆ macip_close()

void macip_close | ( | void |  | ) |
| extern

## ◆ macip_idle()

void macip_idle | ( | void |  | ) |
| extern

time out old arp entries

## ◆ macip_input()

void macip_input | ( | void |  | ) |
| extern

Handle incoming AT packet

## ◆ macip_open()

int macip_open | ( | char * | zone,
|  | uint32_t | net,
|  | uint32_t | mask,
|  | uint32_t | ns,
|  | outputfunc_t | o )
| extern

## ◆ macip_output()

void macip_output | ( | char * | buffer,
|  | int | len )
| extern

send IP packet through AT